import flask
from flask import Blueprint, request
from flask import current_app as app
from app.netedit.traffic_counts import *

calibration_preprocess = Blueprint("calibration_preprocess", __name__)


@app.route("/dss/calibration_preprocess", methods=["POST"])
def preprocess_calibration():
    """
    Parameters are date_from and date_to in ISO format
    """
    date_from = request.form["date_from"]
    date_to = request.form["date_to"]
    network_id = request.form["network_id"]

    if date_from is None or date_to is None:
        return {"error": "Dates must be provided."}
    if network_id is None:
        return {"error": "Network ID is unknown."}

    data = preprocess(date_from, date_to)
    write_xml(data, network_id)

    return {"message": "Processing the calibration data..."}
